Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.resolver.entity
Class SDXResolver

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.excalibur.xml.DefaultEntityResolver
              org.apache.cocoon.components.resolver.DefaultResolver
                  fr.gouv.culture.sdx.resolver.entity.SDXResolver

All Implemented Interfaces:
  org.apache.avalon.framework.component.Component, org.apache.avalon.framework.activity.Disposable, org.apache.excalibur.xml.EntityResolver, org.xml.sax.EntityResolver, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.parameters.Parameterizable, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.thread.ThreadSafe

public class SDXResolver
extends org.apache.cocoon.components.resolver.DefaultResolver

A simple extension of Cocoon's ResolverImpl which facilitates the addition of entity catlogs files based upon configuration data from our application.xconf files. The current usage of this class in the code specifies that these catalogs will only be added if and only if the cocoon.xconf is changed to specify our this resolver with the role set to the value of ROLE in org.apache.avalon.excalibur.xml.EntityResolver from and we can acquire this resolver from Cocoon's component manager based upon that role.

Field Summary

Fields inherited from class org.apache.excalibur.xml.DefaultEntityResolver
`catalogManager, catalogResolver, manager, resolver`

Fields inherited from interface org.apache.excalibur.xml.EntityResolver
`ROLE`

Constructor Summary
`SDXResolver()`

Method Summary
`void` | `addCatalog(java.net.URL url)` Adds a Entity Catalog to the CatalogResolver This catalog should be in one of the formats supported by org.apache.xml.resolver.tools.CatalogResolver

Methods inherited from class org.apache.cocoon.components.resolver.DefaultResolver
`defaultCatalog, parseCatalog`

Methods inherited from class org.apache.excalibur.xml.DefaultEntityResolver
`dispose, parameterize, resolveEntity, service`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDXResolver

    public SDXResolver()

Method Detail

### addCatalog

    public void addCatalog(java.net.URL url)
                    throws SDXException

  Adds a Entity Catalog to the CatalogResolver

  This catalog should be in one of the formats supported by org.apache.xml.resolver.tools.CatalogResolver

  Parameters:
    `url` - The url of the catalog to add
  Throws:
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.